
Katello - Bug #6033

publishing an empty content view errors with "undefined method `puppet?'"

06/03/2014 12:52 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1104182 Red Hat JIRA:  

Pull request:    

Description

Today's latest develop/master foretello

Created a cv, then published it via UI (no repos or content added to cv).

NoMethodError: undefined method `puppet?' for #<Katello::ContentViewPuppetEnvironment:0x0000000b91

38a8>

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activemodel-3.2.18/lib/active_model/attribute_met

hods.rb:407:in `method_missing'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.18/lib/active_record/attribute_m

ethods.rb:149:in `method_missing'

/home/thomasmckay/code/katello/app/lib/actions/katello/repository/node_metadata_generate.rb:21:in 

`block in plan'

Related issues:

Is duplicate of Katello - Bug #5989: Error in katello while syncing puppet co... Closed 05/29/2014

History

#1 - 06/03/2014 12:53 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1104182

#2 - 06/05/2014 03:10 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 06/16/2014 02:59 PM - Eric Helms

- Status changed from New to Closed

#4 - 06/16/2014 03:03 PM - David Davis

- Is duplicate of Bug #5989: Error in katello while syncing puppet content from filesystem added

#5 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
